=== debian/control ===
Source: ros-indigo-canopen-chain-node
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-canopen-master, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-message-generation, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-socketcan-interface, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://wiki.ros.org/canopen_chain_node
Standards-Version: 3.9.2

Package: ros-indigo-canopen-chain-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-canopen-master, ros-indigo-diagnostic-updater, ros-indigo-message-runtime, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-socketcan-interface, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: ROS node base implementation for CANopen chains with support for management services and diagnostics
